DVCSRequest (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.dvcs

## Class DVCSRequest

- java.lang.Object
- - org.bouncycastle.dvcs.DVCSMessage
  - - org.bouncycastle.dvcs.DVCSRequest

-     public class DVCSRequest
      extends DVCSMessage

  DVCRequest is general request to DVCS (RFC 3029). It represents requests for all types of services. Requests for different services differ in DVCData structure.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DVCSRequest(CMSSignedData signedData)` Constructs DVCRequest from CMS SignedData object.
    `DVCSRequest(org.bouncycastle.asn1.cms.ContentInfo contentInfo)` Construct a DVCS Request from a ContentInfo

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.ASN1Encodable` | `getContent()` Return the ASN.1 DVCSRequest structure making up the body of this request.
    `DVCSRequestData` | `getData()` Get data of DVCRequest.
    `DVCSRequestInfo` | `getRequestInfo()` Get RequestInformation envelope.
    `org.bouncycastle.asn1.x509.GeneralName` | `getTransactionIdentifier()` Get the transaction identifier of request.

    - ### Methods inherited from class org.bouncycastle.dvcs.DVCSMessage

      `getContentType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DVCSRequest

          public DVCSRequest(CMSSignedData signedData)
                      throws DVCSConstructionException

      Constructs DVCRequest from CMS SignedData object.
      Parameters:
        `signedData` - the CMS SignedData object containing the request
      Throws:
        `DVCSConstructionException`

    - #### DVCSRequest

          public DVCSRequest(org.bouncycastle.asn1.cms.ContentInfo contentInfo)
                      throws DVCSConstructionException

      Construct a DVCS Request from a ContentInfo
      Parameters:
        `contentInfo` - the contentInfo representing the DVCSRequest
      Throws:
        `DVCSConstructionException`

  - ### Method Detail

    - #### getContent

          public org.bouncycastle.asn1.ASN1Encodable getContent()

      Return the ASN.1 DVCSRequest structure making up the body of this request.
      Specified by:
        `getContent` in class `DVCSMessage`
      Returns:
        an org.bouncycastle.asn1.dvcs.DVCSRequest object.

    - #### getRequestInfo

          public DVCSRequestInfo getRequestInfo()

      Get RequestInformation envelope.
      Returns:
        the request info object.

    - #### getData

          public DVCSRequestData getData()

      Get data of DVCRequest. Depending on type of the request it could be different subclasses of DVCRequestData.
      Returns:
        the request Data object.

    - #### getTransactionIdentifier

          public org.bouncycastle.asn1.x509.GeneralName getTransactionIdentifier()

      Get the transaction identifier of request.
      Returns:
        the GeneralName representing the Transaction Identifier.